import QtQuick
import QtQuick.Controls
import QtQuick.VirtualKeyboard.Settings

import Artix.Core
import Artix.Gui

/**
 * @brief Кнопка Enter клавиатуры
 */
KeyboardKey {
    id: root
    Style.class: control.customStyle ? control.customStyle : "keyboardEnter"
    contentItem: Label {
        id: label
        padding: 12
        color: root.Style.text.color
        font: root.Style.text.font
        horizontalAlignment: Label.AlignLeft
        verticalAlignment: Label.AlignBottom
        Tr { tr: control.tr ? control.tr : Utils.makeTr("keyboardEnterButton", "Ввод") }
    }
}
