import QtQuick

import Artix.Gui

/**
 * @brief Кнопка клавиатуры с иконкой
 */
KeyboardKey {
    Style.type: "button"
    Style.class: "keyboardKey"
    property url icon
    property int iconHeight: 0
    contentItem: Item {
        Image {
            anchors.centerIn: parent
            fillMode: Image.PreserveAspectFit
            height: iconHeight ? iconHeight : parent.height
            source: icon
        }
    }
}

