import QtQuick
import QtQuick.Layouts

import "../../components"

import Artix.Core
import Artix.Gui

/**
 * @brief Логотип для контекстов инициализации и авторизации
 */
Item {
    ColumnLayout {
        anchors.fill: parent
        spacing: 8
        Image {
            Layout.preferredWidth: parent.width * 0.37
            Layout.alignment: Qt.AlignLeft
            fillMode: Image.PreserveAspectFit
            source: Style.parameter("icon.artixLogo")
        }
        Image {
            Layout.fillWidth: true
            fillMode: Image.PreserveAspectFit
            source: Style.parameter("icon.authPos")
        }
        BasicLabel {
            Layout.alignment: Qt.AlignRight
            Style.class: "startupVersion"
            text: "v." + Session.versionInfo.version
        }
    }
}
